Bug 256365 - sysutils/terraform-docs: Update to 0.14.1
Summary: sysutils/terraform-docs: Update to 0.14.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/terraform-docs/ter...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-02 03:19 UTC by Gabriel Dutra
Modified: 2021-06-14 10:28 UTC (History)
1 user (show)

See Also:


Attachments
Update to 0.14.0 (2.90 KB, patch)
2021-06-02 03:19 UTC, Gabriel Dutra
0xdutra: maintainer-approval+
Details | Diff
Update version 0.14.1 (2.90 KB, patch)
2021-06-05 23:49 UTC, Gabriel Dutra
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Dutra 2021-06-02 03:19:56 UTC
Created attachment 225491 [details]
Update to 0.14.0

Tested on

FreeBSD: 13-amd64 13-i386 12-amd64 12-i386

Portlint: no errors
Comment 1 Nuno Teixeira freebsd_committer 2021-06-02 05:49:35 UTC
Hello!

Could you please use DISTVERSION instead of PORTVERSION?

Example 2. Using DISTVERSION

When the version only contains numbers separated by dots, dashes or underscores, use DISTVERSION.

PORTNAME=   nekoto
DISTVERSION=	1.2-4

It will generate a PORTVERSION of 1.2.4.

https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming
Comment 2 Gabriel Dutra 2021-06-05 23:49:11 UTC
Created attachment 225582 [details]
Update version 0.14.1

I changed PORTVERSION to DISTVERSION and updated to version 0.14.1.
Comment 3 Nuno Teixeira freebsd_committer 2021-06-07 05:54:50 UTC
Is there a changelog link available so that can be added to URL field?
Comment 4 commit-hook freebsd_committer 2021-06-14 10:26:53 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a3ce7a7c07a61ae2d46fa56e6ce5bddd14cad46b

commit a3ce7a7c07a61ae2d46fa56e6ce5bddd14cad46b
Author:     Gabriel Dutra <0xdutra@gmail.com>
AuthorDate: 2021-06-14 10:21:15 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-06-14 10:21:15 +0000

    sysutils/terraform-docs: Update to 0.14.1

    - Replace PORTVESION with DISTVERSION

    ChangeLog:  https://github.com/terraform-docs/terraform-docs/releases/tag/v0.14.1

    PR:             256365
    Approved by:    dbaio, garga (mentors, implicit)

 sysutils/terraform-docs/Makefile |  4 ++--
 sysutils/terraform-docs/distinfo | 10 +++++-----
 2 files changed, 7 insertions(+), 7 deletions(-)
Comment 5 Nuno Teixeira freebsd_committer 2021-06-14 10:28:41 UTC
Committed thanks!